ranges::views::unique_fn Struct Reference
Inheritance diagram for ranges::views::unique_fn:

## Synopsis of methods

constexpr view_closure< unique_fn > | unique {}

## Public Member Functions

template<typename C >
CPP_TEMPLATE_AUX_0 | c (requires `(!range< C >)) ccconstexpr auto operator()(C &&pred) const
Public Member Functions inherited from ranges::views::unique_base_fn
template<typename Rng , typename C = equal_to>
CPP_TEMPLATE_AUX_0 | c (requires ` viewable_range< Rng > &&forward_range< Rng > &&indirect_relation< C, iterator_t< Rng >>) ccconstexpr adjacent_filter_view< all_t< Rng >
CPP_TEMPLATE_AUX_0 logical_negate< C > | operator() (Rng &&rng, C pred={}) const